<html>
    <head>
        <title>App Enquete</title>
        <script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
        <script type="text/javascript">
        google.charts.load('current', {'packages':['corechart']});
        google.charts.setOnLoadCallback(drawChart);

        function drawChart() {
            var data = google.visualization.arrayToDataTable([
              ['Opção', 'Votos'],
              {% for op in enquete.resultado %}
                ['{{ op.texto }}',     {{ op.votos }}],
              {% endfor %}
            ]);

            var options = {
                title: '{{ enquete.texto }}'
            };

            var chart = new google.visualization.PieChart(document.getElementById('piechart'));

            chart.draw(data, options);
        }
        </script>
    </head>
    <body>
        <h2>Aplicação de Enquetes</h2>
        <h4>Resultado FINAL para a Enquete #{{ enquete.id }}<br/>
        (<i>encerrada em {{ enquete.data_encerramento }}</i>)</h4>

        <div id="piechart" style="width: 630px; height: 350px;"></div>

        <b><u>Votos Registrados</u>:</b>
        <ul>
        {% for op in enquete.resultado %}
            {% widthratio op.votos total 100 as percent %}
            {% if forloop.counter == 1 %}
                <li><b>
            {% else  %}
                <li>
            {% endif %}
            "{{ op.texto }}" com {{ percent }}% dos votos ({{ op.votos }} de {{ total }})
            {% if forloop.counter == 1 %}
                </b></li>
            {% else %}
                </li>
            {% endif %}
        {% endfor %}
        </ul>
        <p>
            <u>Autor</u>: <a href="{% url 'enquetes:perfil' enquete.autor.id %}">
            {{ enquete.autor.nome }}</a> ({{ enquete.autor.perfil.cidade }},
            {{ enquete.autor.perfil.pais }})
        </p>
        <p><u>Rótulos</u>:
        {% for rotulo in enquete.rotulos.all %}
            <a href="{% url 'enquetes:por_rotulo' rotulo.id %}">
            {{ rotulo.titulo }}</a>{% if forloop.counter < enquete.rotulos.count %},&nbsp;
            {% endif %}
        {% endfor %}
        </p>
        <hr/>
        <a href="{% url 'enquetes:detalhes' enquete.id %}">Votar novamente</a>
        &ensp;|&ensp;
        <a href="{% url 'enquetes:index' %}">Lista das enquetes</a>
        {% if user.is_authenticated %}
            &ensp;|&ensp;
            Logado como <b>{{ user.username }}</b>&ensp;|&ensp;
            <a href="{% url 'enquetes:perfil' user.autor.id %}">Ver Perfil</a>
            &ensp;|&ensp;
            <a href="{% url 'logout' %}?next=/enquetes">Logout</a>
        {% endif %}
    </body>
</html>